# UserCreationOptions

The UserCreationOptions class allows you to specify SDK user creation options. This class is used with [`Sentiance.createUser(UserCreationOptions)`](/important-topics/sdk/api-reference/android/sentiance.md#createuser).

See: [UserCreationOptions.Builder](/important-topics/sdk/api-reference/android/usercreationoptions/usercreationoptions.builder.md).

## UserCreationOptions API

### `getPlatformUrl()`

> ```java
> String getPlatformUrl()
> ```
>
> Returns the Sentiance Platform URL.

### `getAuthCode()`

> ```java
> String getAuthCode()
> ```
>
> Returns the authentication code that should be used when creating a user. Returns `null` if it wasn't set.

### getAppId`()`

> ```java
> String getAppId()
> ```
>
> Returns the Sentiance app ID that should be used when creating a user. Returns `null` if it wasn't set.

### getSecret`()`

> ```java
> String getSecret()
> ```
>
> Returns the Sentiance app secret that should be used when creating a user. Returns `null` if it wasn't set.

### getUserLinkerAsync`()`

> ```java
> UserLinkerAsync getUserLinkerAsync()
> ```
>
> Returns the user linker that should be invoked during the user creation process. Returns `null` if it wasn't set.

### getUserLinker`()`

> ```java
> UserLinker getUserLinker()
> ```
>
> Returns the user linker that should be invoked during the user creation process. Returns `null` if it wasn't set.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/android/usercreationoptions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
